> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/webhooks.md).

# Webhooks

## GET /webhooks

> Retrieve a list of webhooks.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/webhooks":{"get":{"description":"Retrieve a list of webhooks.","operationId":"getWebhooks","parameters":[{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterWebhookDto"}},{"name":"mode","required":false,"in":"query","description":"Strategy applied when filtering/searching on multiple fields","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"createdAt":{"type":"string","enum":["asc","desc"]}},"required":["createdAt"]},{"properties":{"eventType":{"type":"string","enum":["asc","desc"]}},"required":["eventType"]}]}}}},"description":"Array of fields and directions to order. Supported fields: createdAt, eventType"}],"responses":{"200":{"description":"Successfully retrieved a list of webhooks.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/WebhookDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Webhooks"]}}},"components":{"schemas":{"FilterWebhookDto":{"type":"object","properties":{"id":{"description":"Filter by webhook ID(s)","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"eventType":{"description":"Filter by event type(s)","oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/EventType"},"minItems":1},{"$ref":"#/components/schemas/EventType"}]},"url":{"type":"string","description":"Filter by url"},"createdAt":{"format":"date-time","description":"Filter webhooks created from date or between two dates","oneOf":[{"type":"array","items":{"type":"string","format":"date-time"},"minItems":1,"maxItems":2},{"type":"string","format":"date-time"}]}}},"EventType":{"type":"number","enum":["account.created","auction.bid.allocated","auction.bid.cancelled","auction.bid.defunded","auction.bid.funded","auction.bid.not-allocated","auction.bid.placed","auction.bid.refunded","auction.bid.settled","auction.cancelled","auction.closed","auction.created","auction.failed","auction.opened","auction.settled","bond.closed","bond.coupon.no-funds","bond.coupon.paid","bond.coupon.payout-pending","bond.coupon.payout-started","bond.coupon.status-changed","bond.drafted","bond.locked","bond.matured","bond.maturity-payment.completed","bond.maturity-payment.completion-failed","bond.maturity-payment.initiated","bond.maturity-payment.initiation-failed","bond.maturity-payment.no-funds","bond.maturity-payment.recorded","bond.maturity-payment.status-changed","bond.recorded","bond.redeemed","bond.status-changed","bond.supply-issued","bond.went-live","broker.created","broker.updated","currency.created","currency.deposit.deposited","currency.deposit.rejected","currency.withdrawal.rejected","currency.withdrawal.returned","currency.withdrawal.started","currency.withdrawal.withdrawn","data-validation.approved","data-validation.cancelled","data-validation.initiated","data-validation.rejected","distribution.fop.completed","fund.redemption.cancelled","fund.redemption.rejected","fund.redemption.requested","fund.redemption.settled","fund.subscription.cancelled","fund.subscription.rejected","fund.subscription.requested","fund.subscription.settled","issuer.created","issuer.updated","market.asset.halted","market.asset.unhalted","market.closed","market.halt.ended","market.halt.started","market.halted","market.initialized","market.listing.delisted","market.listing.halted","market.listing.listed","market.listing.order.cancelled","market.listing.order.expired","market.listing.order.filled","market.listing.order.opened","market.listing.order.rejected","market.listing.trade.executed","market.listing.unhalted","market.opened","market.updated","node.config.updated","otc-trade.fop.cancelled","otc-trade.fop.completed","otc-trade.fop.initiated","otc-trade.fop.rejected","supply-change.approved","supply-change.cancelled","supply-change.completed","supply-change.initiated","supply-change.rejected"],"description":"Type of event"},"FilterMode":{"type":"string","enum":["and","or"]},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"WebhookDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook UUID identifier, unique in scope of this node","format":"uuid"},"eventType":{"description":"Event type the webhook is listening to","allOf":[{"$ref":"#/components/schemas/EventType"}]},"url":{"type":"string","description":"Url to be called when the event is triggered"}},"required":["createdAt","updatedAt","id","eventType","url"]}}}}
```

## POST /webhooks

> Create a new webhook. Url to be called when the event is triggered.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/webhooks":{"post":{"callbacks":{"account.created":{"{$request.body#/url}":{"post":{"operationId":"AccountCreated","description":"Callback for when an account is created","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.placed":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidPlaced","description":"Callback for when a bid is placed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.funded":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidFunded","description":"Callback for when a bid is funded","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.defunded":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidDefunded","description":"Callback for when a bid is defunded","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.allocated":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidAllocated","description":"Callback for when a bid is allocated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.not-allocated":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidNotAllocated","description":"Callback for when a bid is not allocated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.refunded":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidRefunded","description":"Callback for when a bid is refunded","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.settled":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidSettled","description":"Callback for when a bid is settled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.bid.cancelled":{"{$request.body#/url}":{"post":{"operationId":"AuctionBidCancelled","description":"Callback for when a bid is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BidEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.created":{"{$request.body#/url}":{"post":{"operationId":"AuctionCreated","description":"Callback for when an auction is created","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuctionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.opened":{"{$request.body#/url}":{"post":{"operationId":"AuctionOpened","description":"Callback for when an auction is opened","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuctionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.closed":{"{$request.body#/url}":{"post":{"operationId":"AuctionClosed","description":"Callback for when an auction is closed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuctionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.settled":{"{$request.body#/url}":{"post":{"operationId":"AuctionSettled","description":"Callback for when an auction is settled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuctionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.failed":{"{$request.body#/url}":{"post":{"operationId":"AuctionFailed","description":"Callback for when an auction has failed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuctionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"auction.cancelled":{"{$request.body#/url}":{"post":{"operationId":"AuctionCancelled","description":"Callback for when an auction is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuctionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.coupon.payout-pending":{"{$request.body#/url}":{"post":{"operationId":"BondCouponPayoutPending","description":"Callback for when the coupon record date has passed and the coupon is ready to be paid — entitled holders have been determined and payouts are pending execution.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.coupon.payout-started":{"{$request.body#/url}":{"post":{"operationId":"BondCouponPayoutStarted","description":"Callback for when coupon payout execution has started — payout instructions have been issued and funds are moving to entitled holders.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.coupon.paid":{"{$request.body#/url}":{"post":{"operationId":"BondCouponPaid","description":"Callback for when the coupon has been paid — all entitled holders have received their coupon payment and the coupon is settled.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.coupon.no-funds":{"{$request.body#/url}":{"post":{"operationId":"BondCouponNoFunds","description":"Callback for when the coupon could not be paid because the issuer’s operational account does not hold sufficient funds to cover the payout.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.coupon.status-changed":{"{$request.body#/url}":{"post":{"operationId":"BondCouponStatusChanged","description":"Generic callback fired on every coupon status transition observed on Axiology.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"distribution.fop.completed":{"{$request.body#/url}":{"post":{"operationId":"DistributionFopCompleted","description":"FOP (Free of Payment) transfer for distribution has been completed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DistributionFopEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.maturity-payment.recorded":{"{$request.body#/url}":{"post":{"operationId":"BondMaturityPaymentRecorded","description":"Callback for when a maturity payment is recorded — an entitled bond holder has been registered as of the bond maturity record date and a maturity payment row has been created.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaturityPaymentEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.maturity-payment.initiated":{"{$request.body#/url}":{"post":{"operationId":"BondMaturityPaymentInitiated","description":"Callback for when a maturity payment is initiated — the DVP atomic swap of bond tokens for currency has been proposed on the ledger.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaturityPaymentEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.maturity-payment.completed":{"{$request.body#/url}":{"post":{"operationId":"BondMaturityPaymentCompleted","description":"Callback for when a maturity payment is completed — the DVP atomic swap has been accepted and the investor has received their principal repayment.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaturityPaymentEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.maturity-payment.no-funds":{"{$request.body#/url}":{"post":{"operationId":"BondMaturityPaymentNoFunds","description":"Callback for when a maturity payment could not proceed because the issuer’s operational account does not hold sufficient funds to cover the payout.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaturityPaymentEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.maturity-payment.initiation-failed":{"{$request.body#/url}":{"post":{"operationId":"BondMaturityPaymentInitiationFailed","description":"Callback for when initiating a maturity payment failed — the DVP proposal could not be broadcast or was rejected by the ledger.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaturityPaymentEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.maturity-payment.completion-failed":{"{$request.body#/url}":{"post":{"operationId":"BondMaturityPaymentCompletionFailed","description":"Callback for when accepting an initiated maturity payment failed — the investor agent could not complete the DVP swap.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaturityPaymentEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.maturity-payment.status-changed":{"{$request.body#/url}":{"post":{"operationId":"BondMaturityPaymentStatusChanged","description":"Generic callback fired on every maturity payment status transition observed on Axiology.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MaturityPaymentEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.drafted":{"{$request.body#/url}":{"post":{"operationId":"BondDrafted","description":"Callback for when a bond is drafted (registered on the ledger as a draft).","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.recorded":{"{$request.body#/url}":{"post":{"operationId":"BondRecorded","description":"Callback for when a bond has had its data validation approved and the bond moves out of draft. Emitted for native bonds only — tokenized bonds skip this stage.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.supply-issued":{"{$request.body#/url}":{"post":{"operationId":"BondSupplyIssued","description":"Callback for when the bond supply is issued (minted) on the ledger. Describes a platform-observable supply issuance event, not the placement of the bond into the market. Emitted for native bonds only — tokenized bonds skip this stage.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.went-live":{"{$request.body#/url}":{"post":{"operationId":"BondWentLive","description":"Callback for when a bond goes live on Axiology and is available for secondary trading. For native bonds this corresponds to settlement of the initial placement; for tokenized bonds this corresponds to the activation of the tokenized representation (the underlying instrument may have been issued and settled in traditional markets prior to tokenization).","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.locked":{"{$request.body#/url}":{"post":{"operationId":"BondLocked","description":"Callback for when a bond is locked from trading ahead of maturity processing.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.matured":{"{$request.body#/url}":{"post":{"operationId":"BondMatured","description":"Callback for when a bond reaches maturity on Axiology.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.redeemed":{"{$request.body#/url}":{"post":{"operationId":"BondRedeemed","description":"Callback for when a bond is redeemed — principal repayment to investors has been completed on Axiology.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.closed":{"{$request.body#/url}":{"post":{"operationId":"BondClosed","description":"Callback for when a bond is closed and reaches the end of its lifecycle on Axiology (after redemption, or after a failed primary auction).","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"bond.status-changed":{"{$request.body#/url}":{"post":{"operationId":"BondStatusChanged","description":"Generic callback fired on every bond status transition observed on Axiology.","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BondEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"broker.created":{"{$request.body#/url}":{"post":{"operationId":"BrokerCreated","description":"Callback for when a broker is created","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrokerEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"broker.updated":{"{$request.body#/url}":{"post":{"operationId":"BrokerUpdated","description":"Callback for when a broker is updated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrokerEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"currency.deposit.deposited":{"{$request.body#/url}":{"post":{"operationId":"CurrencyDepositDeposited","description":"Callback for when a currency deposit is deposited","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"currency.deposit.rejected":{"{$request.body#/url}":{"post":{"operationId":"CurrencyDepositRejected","description":"Callback for when a currency deposit is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"currency.withdrawal.rejected":{"{$request.body#/url}":{"post":{"operationId":"CurrencyWithdrawalRejected","description":"Callback for when a currency withdrawal is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawalEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"currency.withdrawal.returned":{"{$request.body#/url}":{"post":{"operationId":"CurrencyWithdrawalReturned","description":"Callback for when a currency withdrawal is returned","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawalEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"currency.withdrawal.started":{"{$request.body#/url}":{"post":{"operationId":"CurrencyWithdrawalStarted","description":"Callback for when a currency withdrawal is started","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawalEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"currency.withdrawal.withdrawn":{"{$request.body#/url}":{"post":{"operationId":"CurrencyWithdrawalWithdrawn","description":"Callback for when a currency withdrawal is withdrawn","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawalEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"currency.created":{"{$request.body#/url}":{"post":{"operationId":"CurrencyCreated","description":"Callback for when a currency is created","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"data-validation.initiated":{"{$request.body#/url}":{"post":{"operationId":"DataValidationInitiated","description":"Callback for when a data validation request is initiated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataValidationEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"data-validation.approved":{"{$request.body#/url}":{"post":{"operationId":"DataValidationApproved","description":"Callback for when a data validation request is approved","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataValidationEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"data-validation.rejected":{"{$request.body#/url}":{"post":{"operationId":"DataValidationRejected","description":"Callback for when a data validation request is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataValidationEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"data-validation.cancelled":{"{$request.body#/url}":{"post":{"operationId":"DataValidationCancelled","description":"Callback for when a data validation request is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataValidationEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.subscription.requested":{"{$request.body#/url}":{"post":{"operationId":"FundSubscriptionRequested","description":"Callback for when a fund subscription is requested","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.subscription.cancelled":{"{$request.body#/url}":{"post":{"operationId":"FundSubscriptionCancelled","description":"Callback for when a fund subscription is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.subscription.rejected":{"{$request.body#/url}":{"post":{"operationId":"FundSubscriptionRejected","description":"Callback for when a fund subscription is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.subscription.settled":{"{$request.body#/url}":{"post":{"operationId":"FundSubscriptionSettled","description":"Callback for when a fund subscription is settled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.redemption.requested":{"{$request.body#/url}":{"post":{"operationId":"FundRedemptionRequested","description":"Callback for when a fund redemption is requested","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedemptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.redemption.cancelled":{"{$request.body#/url}":{"post":{"operationId":"FundRedemptionCancelled","description":"Callback for when a fund redemption is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedemptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.redemption.rejected":{"{$request.body#/url}":{"post":{"operationId":"FundRedemptionRejected","description":"Callback for when a fund redemption is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedemptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"fund.redemption.settled":{"{$request.body#/url}":{"post":{"operationId":"FundRedemptionSettled","description":"Callback for when a fund redemption is settled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedemptionEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"issuer.created":{"{$request.body#/url}":{"post":{"operationId":"IssuerCreated","description":"Callback for when an issuer is created","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuerEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"issuer.updated":{"{$request.body#/url}":{"post":{"operationId":"IssuerUpdated","description":"Callback for when an issuer is updated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuerEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.asset.halted":{"{$request.body#/url}":{"post":{"operationId":"MarketAssetHalted","description":"Callback for when an asset is halted in the market","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketAssetEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.asset.unhalted":{"{$request.body#/url}":{"post":{"operationId":"MarketAssetUnhalted","description":"Callback for when an asset is unhalted in the market","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketAssetEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.halt.started":{"{$request.body#/url}":{"post":{"operationId":"MarketHaltStarted","description":"Callback for when a market is halted","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketHaltEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.halt.ended":{"{$request.body#/url}":{"post":{"operationId":"MarketHaltEnded","description":"Callback for when a market halt is lifted","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketHaltEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.order.opened":{"{$request.body#/url}":{"post":{"operationId":"MarketListingOrderOpened","description":"Callback for when a new order is opened","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.order.filled":{"{$request.body#/url}":{"post":{"operationId":"MarketListingOrderFilled","description":"Callback for when an order is fully filled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.order.cancelled":{"{$request.body#/url}":{"post":{"operationId":"MarketListingOrderCancelled","description":"Callback for when an order is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.order.expired":{"{$request.body#/url}":{"post":{"operationId":"MarketListingOrderExpired","description":"Callback for when an order expires","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.order.rejected":{"{$request.body#/url}":{"post":{"operationId":"MarketListingOrderRejected","description":"Callback for when an order is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.trade.executed":{"{$request.body#/url}":{"post":{"operationId":"MarketListingTradeExecuted","description":"Callback for when a trade is executed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TradeEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.delisted":{"{$request.body#/url}":{"post":{"operationId":"MarketListingDelisted","description":"Callback for when a trading pair is delisted from the market","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.listed":{"{$request.body#/url}":{"post":{"operationId":"MarketListingListed","description":"Callback for when a trading pair is listed in the market","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.halted":{"{$request.body#/url}":{"post":{"operationId":"MarketListingHalted","description":"Callback for when a trading pair is listed in the market","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.listing.unhalted":{"{$request.body#/url}":{"post":{"operationId":"MarketListingUnhalted","description":"Callback for when a trading pair is listed in the market","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.closed":{"{$request.body#/url}":{"post":{"operationId":"MarketClosed","description":"Callback for when a market is closed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.halted":{"{$request.body#/url}":{"post":{"operationId":"MarketHalted","description":"Callback for when a market is halted","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.initialized":{"{$request.body#/url}":{"post":{"operationId":"MarketInitialized","description":"Callback for when a market is first created/initialized","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.opened":{"{$request.body#/url}":{"post":{"operationId":"MarketOpened","description":"Callback for when a market is opened","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"market.updated":{"{$request.body#/url}":{"post":{"operationId":"MarketUpdated","description":"Callback for when a market is updated (details, working hours)","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"node.config.updated":{"{$request.body#/url}":{"post":{"operationId":"NodeConfigUpdated","description":"Callback for when a node config is updated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NodeEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"otc-trade.fop.initiated":{"{$request.body#/url}":{"post":{"operationId":"OtcTradeFopInitiated","description":"Callback for when an OTC FOP trade is initiated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OtcTradeFopEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"otc-trade.fop.completed":{"{$request.body#/url}":{"post":{"operationId":"OtcTradeFopCompleted","description":"Callback for when an OTC FOP trade is completed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OtcTradeFopEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"otc-trade.fop.cancelled":{"{$request.body#/url}":{"post":{"operationId":"OtcTradeFopCancelled","description":"Callback for when an OTC FOP trade is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OtcTradeFopEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"otc-trade.fop.rejected":{"{$request.body#/url}":{"post":{"operationId":"OtcTradeFopRejected","description":"Callback for when an OTC FOP trade is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OtcTradeFopEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"supply-change.initiated":{"{$request.body#/url}":{"post":{"operationId":"SupplyChangeInitiated","description":"Callback for when a supply change is initiated","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplyChangeEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"supply-change.approved":{"{$request.body#/url}":{"post":{"operationId":"SupplyChangeApproved","description":"Callback for when a supply change is approved","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplyChangeEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"supply-change.completed":{"{$request.body#/url}":{"post":{"operationId":"SupplyChangeCompleted","description":"Callback for when a supply change is completed","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplyChangeEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"supply-change.rejected":{"{$request.body#/url}":{"post":{"operationId":"SupplyChangeRejected","description":"Callback for when a supply change is rejected","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplyChangeEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}},"supply-change.cancelled":{"{$request.body#/url}":{"post":{"operationId":"SupplyChangeCancelled","description":"Callback for when a supply change is cancelled","requestBody":{"description":"Payload of the webhook","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplyChangeEventDto"}}}},"responses":{"200":{"description":"Webhook received successfully"}}}}}},"description":"Create a new webhook. Url to be called when the event is triggered.","operationId":"createWebhook","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookDto"}}}},"responses":{"201":{"description":"Successfully created a webhook.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDto"}}}}},"summary":"","tags":["Webhooks"]}}},"components":{"schemas":{"AccountEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the account event","allOf":[{"$ref":"#/components/schemas/AccountDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"EventType":{"type":"number","enum":["account.created","auction.bid.allocated","auction.bid.cancelled","auction.bid.defunded","auction.bid.funded","auction.bid.not-allocated","auction.bid.placed","auction.bid.refunded","auction.bid.settled","auction.cancelled","auction.closed","auction.created","auction.failed","auction.opened","auction.settled","bond.closed","bond.coupon.no-funds","bond.coupon.paid","bond.coupon.payout-pending","bond.coupon.payout-started","bond.coupon.status-changed","bond.drafted","bond.locked","bond.matured","bond.maturity-payment.completed","bond.maturity-payment.completion-failed","bond.maturity-payment.initiated","bond.maturity-payment.initiation-failed","bond.maturity-payment.no-funds","bond.maturity-payment.recorded","bond.maturity-payment.status-changed","bond.recorded","bond.redeemed","bond.status-changed","bond.supply-issued","bond.went-live","broker.created","broker.updated","currency.created","currency.deposit.deposited","currency.deposit.rejected","currency.withdrawal.rejected","currency.withdrawal.returned","currency.withdrawal.started","currency.withdrawal.withdrawn","data-validation.approved","data-validation.cancelled","data-validation.initiated","data-validation.rejected","distribution.fop.completed","fund.redemption.cancelled","fund.redemption.rejected","fund.redemption.requested","fund.redemption.settled","fund.subscription.cancelled","fund.subscription.rejected","fund.subscription.requested","fund.subscription.settled","issuer.created","issuer.updated","market.asset.halted","market.asset.unhalted","market.closed","market.halt.ended","market.halt.started","market.halted","market.initialized","market.listing.delisted","market.listing.halted","market.listing.listed","market.listing.order.cancelled","market.listing.order.expired","market.listing.order.filled","market.listing.order.opened","market.listing.order.rejected","market.listing.trade.executed","market.listing.unhalted","market.opened","market.updated","node.config.updated","otc-trade.fop.cancelled","otc-trade.fop.completed","otc-trade.fop.initiated","otc-trade.fop.rejected","supply-change.approved","supply-change.cancelled","supply-change.completed","supply-change.initiated","supply-change.rejected"],"description":"Type of event"},"AccountDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"nodeId":{"type":"string","description":"Unique UUID of the node that manages this account","format":"uuid"},"address":{"type":"string","description":"Account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"type":{"description":"Type of account","allOf":[{"$ref":"#/components/schemas/AccountType"}]},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","nullable":true,"allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"walletType":{"description":"Indicates that funds are owned by either broker or client","nullable":true,"allOf":[{"$ref":"#/components/schemas/WalletType"}]},"status":{"description":"**Status of the account:**\n- `active` - account is allowed to interact with the system\n- `frozen` - no assets can be moved around\n- `deleted` - no further actions can be done","allOf":[{"$ref":"#/components/schemas/AccountStatus"}]},"openedAt":{"format":"date-time","type":"string","description":"Opened date"}},"required":["createdAt","updatedAt","nodeId","address","type","institutionSectorCode","walletType","status","openedAt"]},"AccountType":{"type":"string","enum":["broker","emi","funding","investor","issuer","issuing","node","operational","operator"],"description":"Type of account"},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."},"WalletType":{"type":"string","enum":["broker-own","client-individual"],"description":"Indicates that funds are owned by either broker or client"},"AccountStatus":{"type":"string","enum":["active","frozen","deleted"],"description":"**Status of the account:**\n- `active` - account is allowed to interact with the system\n- `frozen` - no assets can be moved around\n- `deleted` - no further actions can be done"},"BidEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the auction bid event","allOf":[{"$ref":"#/components/schemas/BidDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"BidDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Bid UUID identifier, unique in scope of this node","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID that placed the bid","format":"uuid"},"assetId":{"type":"string","description":"Asset UUID that the bid is for","format":"uuid"},"auctionId":{"type":"string","description":"Auction UUID that the bid is for","format":"uuid"},"accountAddress":{"type":"string","description":"Account address that placed the bid","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"status":{"description":"Auction bid status","allOf":[{"$ref":"#/components/schemas/BidStatus"}]},"amount":{"format":"int64","description":"Bond amount the bid is for.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"price":{"format":"int64","description":"Bond price per unit.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"totalPrice":{"format":"int64","description":"Total bid price.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"placedAt":{"format":"date-time","type":"string","description":"Bid placement time","nullable":true},"settledAmount":{"nullable":true,"description":"Settled amount the bid is for.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"settledTotalPrice":{"nullable":true,"description":"Settled total price.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"settledAt":{"format":"date-time","type":"string","description":"Bid settlement time","nullable":true}},"required":["createdAt","updatedAt","id","brokerId","assetId","auctionId","accountAddress","status","amount","price","totalPrice","placedAt","settledAmount","settledTotalPrice","settledAt"]},"BidStatus":{"type":"string","enum":["placed","funded","matched","settled","not-matched","rejected","cancelled"],"description":"**Create bid status:**\n- `placed` - place unfunded bid\n- `funded` - place funded bid"},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"AuctionEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the auction event","allOf":[{"$ref":"#/components/schemas/AuctionDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"AuctionDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Auction UUID identifier, unique in scope of this node","format":"uuid"},"brokerId":{"type":"string","description":"Broker id","format":"uuid"},"assetId":{"type":"string","description":"Asset id","format":"uuid"},"type":{"description":"Type of auction:\n\n    'fixed-price' - price is fixed\n    'min-price' - price is limited to lower boundary, inclusive","allOf":[{"$ref":"#/components/schemas/AuctionType"}]},"status":{"description":"**Auction status:**\n- `upcoming` - will open in the future\n- `open` - currently open and accepts bids\n- `closed` - successful, but not yet settled\n- `settled` - successful and settled\n- `failed` - unsuccessful auction, `minAmount` not reached\n- `cancelled` - cancelled by issuer agent","allOf":[{"$ref":"#/components/schemas/AuctionStatus"}]},"minAmount":{"format":"int64","description":"Minimal amount that needs to be auctioned off for the auction to succeed.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"price":{"format":"int64","description":"Minimal or fixed price, determined by auction type.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"startAt":{"format":"date-time","type":"string","description":"Date and time of auction opening"},"endAt":{"format":"date-time","type":"string","description":"Date and time of auction closing"},"settledAmount":{"nullable":true,"description":"Total settled amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"settledTotalPrice":{"nullable":true,"description":"Settled total price.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"settledAt":{"format":"date-time","type":"string","description":"Date and time of auction settlement","nullable":true}},"required":["createdAt","updatedAt","id","brokerId","assetId","type","status","minAmount","price","startAt","endAt","settledAmount","settledTotalPrice","settledAt"]},"AuctionType":{"type":"string","enum":["fixed-price","min-price"],"description":"Type of auction:\n\n    'fixed-price' - price is fixed\n    'min-price' - price is limited to lower boundary, inclusive"},"AuctionStatus":{"type":"string","enum":["upcoming","open","closed","settled","failed","cancelled"],"description":"**Auction status:**\n- `upcoming` - will open in the future\n- `open` - currently open and accepts bids\n- `closed` - successful, but not yet settled\n- `settled` - successful and settled\n- `failed` - unsuccessful auction, `minAmount` not reached\n- `cancelled` - cancelled by issuer agent"},"CouponEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the bond coupon event","allOf":[{"$ref":"#/components/schemas/CouponDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"CouponDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Coupon UUID identifier, global in scope of TSS","format":"uuid"},"no":{"type":"number","description":"Coupon №"},"bondId":{"type":"string","description":"Bond UUID, unique in scope of this node","format":"uuid"},"status":{"description":"Coupon status","allOf":[{"$ref":"#/components/schemas/CouponStatus"}]},"totalPayment":{"format":"int64","description":"Total payment of coupon, in the bond currency.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"interestRate":{"nullable":true,"description":"Annual interest rate applicable to this coupon period. Null when not yet set.\n\nScaled as `ScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ScaledDecimal"}]},"recordAt":{"format":"date-time","type":"string","description":"Date of coupon's period end, bond holders are recorded."},"payAt":{"format":"date-time","type":"string","description":"Date of coupon's payment, must be later than record date."}},"required":["createdAt","updatedAt","id","no","bondId","status","totalPayment","interestRate","recordAt","payAt"]},"CouponStatus":{"type":"string","enum":["paid","readyToPay","upcoming","paying","noFunds"],"description":"Coupon status"},"ScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by [DefaultScale](#/components/schemas/DefaultScale): `encoded = real × 10^6`. E.g. `11.0` is encoded as 11000000, `0.5` as 500000."},"DistributionFopEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the bond distribution fop event","allOf":[{"$ref":"#/components/schemas/DistributionFopDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"DistributionFopDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Distribution FOP UUID identifier, unique in scope of this node","format":"uuid"},"distributionId":{"type":"string","description":"Distribution id","format":"uuid"},"assetId":{"type":"string","description":"Asset id","format":"uuid"},"accountAddress":{"type":"string","description":"Account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"amount":{"format":"int64","description":"Amount to receive.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status","allOf":[{"$ref":"#/components/schemas/DistributionFopStatus"}]},"settledAt":{"format":"date-time","type":"string","description":"Date and time of distribution FOP"}},"required":["createdAt","updatedAt","id","distributionId","assetId","accountAddress","amount","status","settledAt"]},"DistributionFopStatus":{"type":"string","enum":["upcoming","initiated","initiation-failed","completed","completion-failed"],"description":"**Update distribution FOP status**\n- `initiated` - (issuer agent) initiate `upcoming` or `initiation-failed` FOP distribution\n- `completed` - (investor agent) complete `initiated` FOP distribution"},"MaturityPaymentEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the bond maturity payment event","allOf":[{"$ref":"#/components/schemas/MaturityPaymentDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"MaturityPaymentDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Maturity Payment UUID identifier, unique in scope of this node","format":"uuid"},"status":{"description":"Status of the maturity payment","allOf":[{"$ref":"#/components/schemas/MaturityPaymentStatus"}]},"bondId":{"type":"string","description":"Unique UUID of the bond in scope of this gateway","format":"uuid"},"bondAmount":{"format":"int64","description":"Bond amount for this maturity payment.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"payoutAmount":{"format":"int64","description":"Amount to pay for this maturity payment.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"receiverAddress":{"type":"string","description":"Payment`s receiver address corresponding to the investor account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"errorMessage":{"type":"string","description":"Error message"}},"required":["createdAt","updatedAt","id","status","bondId","bondAmount","payoutAmount","receiverAddress"]},"MaturityPaymentStatus":{"type":"string","enum":["recorded","no-funds","initiated","initiation-failed","completed","completion-failed"],"description":"Status of the maturity payment"},"BondEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the bond event","allOf":[{"$ref":"#/components/schemas/BondDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"BondDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Bond UUID identifier, global in scope of TSS","format":"uuid"},"issuerId":{"type":"string","description":"Unique UUID of the issuer in scope of this gateway","format":"uuid"},"currencyId":{"type":"string","description":"Unique UUID of the currency that payouts of the bond are made with in scope of this gateway","format":"uuid"},"brokerId":{"type":"string","description":"Unique UUID of the broker that manages this bond issue","format":"uuid"},"origin":{"description":"Origin of the bond","allOf":[{"$ref":"#/components/schemas/BondOrigin"}]},"custodian":{"type":"string","description":"Custodian where asset is registered outside","nullable":true},"custodianLeiCode":{"type":"string","description":"LEI code of original depository where the issuer has registered the securities","nullable":true},"issuerCsdLeiCode":{"type":"string","description":"LEI code of central securities depository where the issuer has registered the securities","nullable":true},"csdRegisteredAt":{"type":"string","description":"Date of registration in central depository","format":"date-time","nullable":true},"underlyingInstrumentCode":{"type":"string","description":"Underlying instrument code","nullable":true},"fisn":{"type":"string","description":"Financial Instrument Short Name (FISN) as per ISO 18774:2024","format":"iso-18774-fisn","maxLength":35,"nullable":true},"countryCode":{"type":"string","description":"Country code of where the security is issued"},"turnoverType":{"description":"Type of turnover for the bond. Indicates how the bond is traded or transferred","nullable":true,"allOf":[{"$ref":"#/components/schemas/TurnoverType"}]},"seniority":{"description":"Seniority of the bond. Indicates the priority of claims in case of liquidation","allOf":[{"$ref":"#/components/schemas/BondSeniority"}]},"status":{"description":"**Status of the bond:**\n- `draft`- bond is created\n- `recorded`- data validation was created by issuer agent and approved by operator\n- `issued`- supply change was created by issuer agent and approved by operator\n- `distributing`- bond has been recorded, issued and ongoing distribution (step 1/2)\n- `live`- bond is distributed (step 2/2), now live and circulating\n- `locked`- bond is locked from trading, entering maturity process (step 1/5)\n- `mature`- bond is maturing, cannot be traded or transferred (step 2/5)\n- `collecting`- bond collection in progress (step 3/5)\n- `collected`- bond collection completed (step 4/5)\n- `closed`- bond has reached the end of its lifecycle (step 5/5)","allOf":[{"$ref":"#/components/schemas/BondStatus"}]},"initialPlacement":{"description":"Initial placement type","default":"public","allOf":[{"$ref":"#/components/schemas/InitialPlacementType"}]},"issuingAccountAddress":{"type":"string","description":"Issuing account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"operationalAccountAddress":{"type":"string","description":"Operational account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"isin":{"type":"string","description":" International Securities Identification Number. Code that uniquely identifies a security globally","nullable":true},"cfi":{"type":"string","description":"Classification of Financial Instruments (CFI) code as per ISO 10962","format":"iso-10962-cfi","pattern":"^[A-Z]{6}$","nullable":true},"figi":{"type":"string","description":"Financial Instrument Global Identifier. Code that uniquely identifies a security globally","nullable":true},"ticker":{"type":"string","description":"Stock ticker symbol. This is a unique series of letters assigned to a security or stock for trading purposes","nullable":true},"dti":{"type":"string","description":"Digital Token Identifier (DTI) as per ISO 24165","format":"iso-24165-dti","pattern":"^[B-DF-HJ-NP-TV-XZ1-9][B-DF-HJ-NP-TV-XZ0-9]{8}$","nullable":true},"ecbClassification":{"description":"**ECB Primary Asset Classification (PAC2)** code used in ECB SHS/SHSG reporting codelists.","allOf":[{"$ref":"#/components/schemas/PAC2"}]},"bolClassification":{"description":"**Bank of Lithuania VPT security type code** used in securities holdings reporting forms `VPT-01` and `VPT-02`.\n- The `VPT-01` form points to Annex II of ECB Regulation (EU) No `1011/2012` for classification guidance.\n- This schema stores the numeric code values used by the system for Bank of Lithuania reporting.\n- `N/A` is an internal system value and not an official Bank of Lithuania reporting code.","allOf":[{"$ref":"#/components/schemas/BoLSecurityTypeCode"}]},"issuePrice":{"type":"string","description":"Price of the bond issue"},"nominalValue":{"format":"int64","description":"Nominal value of a single bond unit, also known as face value.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"totalNominalValue":{"format":"int64","description":"Nominal value of a full bond issue, also known as total face value.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"interestRate":{"type":"string","description":"Annual interest rate in % paid for holding this bond"},"interestType":{"description":"**Interest type of the bond** using Axiology bond terminology.\n- `fixed` - fixed-rate debt security with a coupon rate that remains constant for the life of the instrument\n- `index-linked` - debt security whose coupon and/or redemption amount is linked to a reference index, for example an inflation index\n- `other` - residual category for debt securities whose interest structure does not fit the named interest-type categories\n- `stepped` - stepped-coupon debt security with a predefined coupon step-up or step-down schedule\n- `floating` - floating-rate debt security with a coupon that is periodically reset against a reference rate\n- `zero-coupon` - zero-coupon debt security with no periodic coupon payments; return is realised through the issue/redemption price difference","allOf":[{"$ref":"#/components/schemas/InterestType"}]},"interestBase":{"description":"Interest calculation option","allOf":[{"$ref":"#/components/schemas/InterestBaseOptions"}]},"interestInterval":{"description":"Interest payment interval","allOf":[{"$ref":"#/components/schemas/InterestIntervalOptions"}]},"settlementUnitMultiple":{"type":"string","description":"Settlement unit multiple expressed in maximum decimal points amount allowed. Ex: 0,01 means 2"},"minimumSettlementUnit":{"type":"string","description":"Minimum settlement unit expressed in maximum decimal points amount allowed. Ex: 0,01 means 2"},"prospectusRegistered":{"type":"boolean","description":"Indicator, if the bond prospectus registered"},"preEmptiveRights":{"type":"boolean","description":"Indicator, if the bond has pre-emptive rights"},"earlyRedemption":{"type":"boolean","description":"Indicator, if the bond can be redeemed early"},"secured":{"type":"boolean","description":"Indicator, if the bond is secured"},"securedBacking":{"type":"string","description":"Backing of the secured bond","nullable":true},"issuedAt":{"format":"date-time","type":"string","description":"Issue date of the bond."},"issuanceRecordAt":{"format":"date-time","type":"string","description":"Bond issue record date, from which the coupon accumulation starts."},"settleAt":{"format":"date-time","type":"string","description":"Date when the bond was or is expected to be fully distributed among initial holders."},"maturityRecordAt":{"format":"date-time","type":"string","description":"Date when the bond reaches maturity and final owners are fixed."},"matureAt":{"format":"date-time","type":"string","description":"Date when the bond maturity is expected to be paid out."},"distributedAmount":{"format":"int64","description":"Amount of bonds that have been proposed to distribute to investors.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"requestedAmount":{"format":"int64","description":"Amount of mature bonds requested to collect from investors.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"collectedAmount":{"format":"int64","description":"Amount of mature bonds collected back.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"name":{"type":"string","description":"Bond name"},"specUrl":{"type":"string","description":"IPFS link"},"exponent":{"type":"number","description":"**Exponent** - number of decimal places (scale) used for this asset or currency.\n- Decimal floating value: `stored_value / 10^exponent`.\n- Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).\n- Examples: `2000` with exponent `2` => `20`; `2345` with exponent `3` => `2.345`; `2345` with exponent `0` => `2345`.","minimum":0,"maximum":10},"supply":{"format":"int64","description":"Current bond supply.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"totalSupply":{"format":"int64","description":"Total bond supply ever issued.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"couponIds":{"description":"Coupon ids","type":"array","items":{"type":"string"}},"maturityPaymentIds":{"description":"Maturity payment ids","type":"array","items":{"type":"string"}},"distributionIds":{"description":"Distribution ids","type":"array","items":{"type":"string"}},"settlementType":{"description":"**Corporate actions settlement type:**\n- `internal` - payments (coupons, maturity) are settled within Axiology TSS using EMTs\n- `external` - payments are settled via bank or other payment systems outside Axiology TSS","allOf":[{"$ref":"#/components/schemas/SettlementType"}]},"displayNotation":{"description":"Display hint only. The bond's monetary fields are returned as scaled monetary amounts regardless of this value; consumers use it to decide whether to render values as a percentage of nominal or as a per-unit amount.","allOf":[{"$ref":"#/components/schemas/PriceNotation"}]}},"required":["createdAt","updatedAt","id","issuerId","currencyId","brokerId","origin","custodian","custodianLeiCode","issuerCsdLeiCode","csdRegisteredAt","underlyingInstrumentCode","fisn","countryCode","turnoverType","seniority","status","initialPlacement","issuingAccountAddress","operationalAccountAddress","isin","cfi","figi","ticker","dti","ecbClassification","bolClassification","issuePrice","nominalValue","totalNominalValue","interestRate","interestType","interestBase","interestInterval","settlementUnitMultiple","minimumSettlementUnit","prospectusRegistered","preEmptiveRights","earlyRedemption","secured","securedBacking","issuedAt","issuanceRecordAt","settleAt","maturityRecordAt","matureAt","distributedAmount","requestedAmount","collectedAmount","name","specUrl","exponent","supply","totalSupply","couponIds","maturityPaymentIds","distributionIds","settlementType","displayNotation"]},"BondOrigin":{"type":"string","enum":["native","tokenized"],"description":"Origin of the bond"},"TurnoverType":{"type":"string","enum":["public","private"],"description":"Type of turnover for the bond. Indicates how the bond is traded or transferred"},"BondSeniority":{"type":"string","enum":["senior-debt","mezzanine","subordinated-debt","junior-debt"],"description":"Seniority of the bond. Indicates the priority of claims in case of liquidation"},"BondStatus":{"type":"string","enum":["draft","recorded","issued","distributing","live","locked","mature","collecting","collected","closed"],"description":"**Status of the bond:**\n- `draft`- bond is created\n- `recorded`- data validation was created by issuer agent and approved by operator\n- `issued`- supply change was created by issuer agent and approved by operator\n- `distributing`- bond has been recorded, issued and ongoing distribution (step 1/2)\n- `live`- bond is distributed (step 2/2), now live and circulating\n- `locked`- bond is locked from trading, entering maturity process (step 1/5)\n- `mature`- bond is maturing, cannot be traded or transferred (step 2/5)\n- `collecting`- bond collection in progress (step 3/5)\n- `collected`- bond collection completed (step 4/5)\n- `closed`- bond has reached the end of its lifecycle (step 5/5)"},"InitialPlacementType":{"type":"string","enum":["public","private"],"description":"Initial placement type"},"PAC2":{"type":"string","enum":["C","D","D.1","D.11","D.12","D.121","D.122","D.129","D.13","D.131","D.139","D.14","D.141","D.149","D.15","D.16","D.161","D.162","D.163","D.164","D.165","D.166","D.167","D.169","D.17","D.171","D.172","D.18","D.181","D.1811","D.1812","D.1813","D.1819","D.182","D.1821","D.1822","D.1823","D.1829","D.19","D.2","D.21","D.22","D.23","D.231","D.232","D.239","D.24","D.29","D.3","D.31","D.311","D.32","D.33","D.34","D.39","D.9","E","E.1","E.2","E.21","E.22","E.23","E.24","E.29","E.3","E.31","E.32","E.39","E.4","E.41","E.42","E.43","E.49","E.9","F","F.1","F.2","F.9","I","L","M","O","P","R","U"],"description":"**ECB Primary Asset Classification (PAC2)** code used in ECB SHS/SHSG reporting codelists."},"BoLSecurityTypeCode":{"type":"string","enum":["100","101","102","103","104","106","107","108","305","400","900","N/A"],"description":"**Bank of Lithuania VPT security type code** used in securities holdings reporting forms `VPT-01` and `VPT-02`.\n- The `VPT-01` form points to Annex II of ECB Regulation (EU) No `1011/2012` for classification guidance.\n- This schema stores the numeric code values used by the system for Bank of Lithuania reporting.\n- `N/A` is an internal system value and not an official Bank of Lithuania reporting code."},"InterestType":{"type":"string","enum":["fixed","index-linked","other","stepped","floating","zero-coupon"],"description":"**Interest type of the bond** using Axiology bond terminology.\n- `fixed` - fixed-rate debt security with a coupon rate that remains constant for the life of the instrument\n- `index-linked` - debt security whose coupon and/or redemption amount is linked to a reference index, for example an inflation index\n- `other` - residual category for debt securities whose interest structure does not fit the named interest-type categories\n- `stepped` - stepped-coupon debt security with a predefined coupon step-up or step-down schedule\n- `floating` - floating-rate debt security with a coupon that is periodically reset against a reference rate\n- `zero-coupon` - zero-coupon debt security with no periodic coupon payments; return is realised through the issue/redemption price difference"},"InterestBaseOptions":{"type":"string","enum":["act-act","act-360","act-365","thirty-360","thirty-e-360"],"description":"Interest calculation option"},"InterestIntervalOptions":{"type":"string","enum":["annual","monthly","quarterly","semiannual"],"description":"Interest payment interval"},"SettlementType":{"type":"string","enum":["external","internal"],"description":"**Corporate actions settlement type:**\n- `internal` - settled within Axiology TSS using EMTs\n- `external` - settled via bank or other payment systems outside Axiology TSS"},"PriceNotation":{"type":"string","enum":["MONE","PERC","YIEL","BAPO"],"description":"**ESMA-aligned price notation codes** (MiFIR RTS 2/22).\n- `MONE` - monetary per-unit amount.\n- `PERC` - percentage (e.g. percentage of nominal value).\n- `YIEL` - yield.\n- `BAPO` - basis points."},"BrokerEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the broker event","allOf":[{"$ref":"#/components/schemas/BrokerDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"BrokerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"email":{"type":"string","description":"Email of a participant","format":"email","nullable":true},"leiCode":{"type":"string","description":"Legal Entity Identifier (LEI) code","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"representorCompanyCode":{"type":"string","description":"Company registration number of participant representor","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$","nullable":true},"countryCode":{"type":"string","description":"Country code of the participant","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"branchCountryCode":{"type":"string","description":"Country code of the branch","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"bic":{"type":"string","description":"Bank Identifier Code (BIC)","format":"bic","minLength":8,"maxLength":11,"pattern":"^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$"},"isLiquidityProvider":{"type":"boolean","description":"Is participant a liquidity provider in the market","default":false},"id":{"type":"string","description":"Broker UUID identifier, global in scope of TSS","format":"uuid"},"ibans":{"description":"List of IBANs used for deposits and withdrawals","type":"array","items":{"$ref":"#/components/schemas/TypedIban"}}},"required":["createdAt","updatedAt","name","email","leiCode","companyCode","representorCompanyCode","countryCode","branchCountryCode","institutionSectorCode","bic","isLiquidityProvider","id","ibans"]},"TypedIban":{"type":"object","properties":{"iban":{"type":"string","description":"IBAN of the wallet","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"type":{"description":"Type of the wallet","allOf":[{"$ref":"#/components/schemas/WalletType"}]}},"required":["iban","type"]},"DepositEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the currency deposit event","allOf":[{"$ref":"#/components/schemas/DepositDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"DepositDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Deposit UUID identifier, global in scope of TSS","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID identifier","format":"uuid"},"currencyId":{"type":"string","description":"Currency UUID identifier","format":"uuid"},"accountAddress":{"type":"string","description":"Destination account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"iban":{"type":"string","description":"Source IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"amount":{"format":"int64","description":"Deposit amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status of deposit","allOf":[{"$ref":"#/components/schemas/DepositStatus"}]},"transactionId":{"type":"string","description":"SEPA payment's Transaction Id","format":"iso-20022-payment-tx-id","minLength":10,"maxLength":35},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["createdAt","updatedAt","id","brokerId","currencyId","accountAddress","iban","amount","status","transactionId","correlationId"]},"DepositStatus":{"type":"string","enum":["approved","deposited","initiated","rejected"],"description":"Status of deposit"},"WithdrawalEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the currency withdrawal event","allOf":[{"$ref":"#/components/schemas/WithdrawalDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"WithdrawalDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Withdrawal UUID identifier, global in scope of TSS","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID identifier","format":"uuid"},"currencyId":{"type":"string","description":"Currency UUID identifier","format":"uuid"},"accountAddress":{"type":"string","description":"Source account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"iban":{"type":"string","description":"Destination IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"amount":{"format":"int64","description":"Withdrawal amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status of withdrawal","allOf":[{"$ref":"#/components/schemas/WithdrawalStatus"}]},"transactionId":{"type":"string","description":"SEPA payment's Transaction Id","format":"iso-20022-payment-tx-id","minLength":10,"maxLength":35,"nullable":true},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["createdAt","updatedAt","id","brokerId","currencyId","accountAddress","iban","amount","status","transactionId","correlationId"]},"WithdrawalStatus":{"type":"string","enum":["failed","initiated","rejected","returned","started","withdrawn"],"description":"Status of withdrawal"},"CurrencyEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the currency event","allOf":[{"$ref":"#/components/schemas/CurrencyDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"CurrencyDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Currency UUID identifier, global in scope of TSS","format":"uuid"},"name":{"type":"string","description":"Full name of the currency"},"code":{"type":"string","description":"Unique code of the currency"},"exponent":{"type":"number","description":"**Exponent** - number of decimal places (scale) used for this asset or currency.\n- Decimal floating value: `stored_value / 10^exponent`.\n- Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).\n- Examples: `2000` with exponent `2` => `20`; `2345` with exponent `3` => `2.345`; `2345` with exponent `0` => `2345`.","minimum":0,"maximum":10},"supplyLimit":{"format":"int64","description":"Maximum amount of currency allowed in circulation.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"issuingAccountAddress":{"type":"string","description":"Issuing account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"operationalAccountAddress":{"type":"string","description":"Operational account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"}},"required":["createdAt","updatedAt","id","name","code","exponent","supplyLimit","issuingAccountAddress","operationalAccountAddress"]},"DataValidationEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the data validation event","allOf":[{"$ref":"#/components/schemas/DataValidationDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"DataValidationDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Data validation UUID identifier, global in scope of TSS","format":"uuid"},"assetId":{"type":"string","description":"Unique UUID of the asset in scope of this gateway","format":"uuid"},"status":{"allOf":[{"$ref":"#/components/schemas/DataValidationStatus"}]},"specUrl":{"type":"string","description":"IPFS link with data that was validated or needs to be validated"},"initiationReference":{"type":"string","description":"Reference provided by the broker during data validation initiation"},"validationReference":{"type":"string","description":"Reference provided by the operator during data validation","nullable":true},"initiatedAt":{"format":"date-time","type":"string","description":"Date when the data validation was initiated"},"validatedAt":{"type":"string","description":"Date when the data validation was completed","format":"date-time","nullable":true}},"required":["createdAt","updatedAt","id","assetId","status","specUrl","initiationReference","validationReference","initiatedAt","validatedAt"]},"DataValidationStatus":{"type":"string","enum":["approved","cancelled","initiated","rejected"],"description":"**Data validation status:**\n- `initiated` - data validation has been requested and is awaiting operator review\n- `approved` - operator approved the data validation\n- `rejected` - operator rejected the data validation\n- `cancelled` - data validation was cancelled by the broker"},"SubscriptionEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the fund subscription event","allOf":[{"$ref":"#/components/schemas/SubscriptionDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"SubscriptionDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Fund subscription UUID identifier, global in scope of TSS","format":"uuid"},"fundId":{"type":"string","description":"Fund (asset) id the subscription is for","format":"uuid"},"investorBrokerId":{"type":"string","description":"Broker id of the investor's agent","format":"uuid"},"issuerBrokerId":{"type":"string","description":"Broker id of the fund issuer","format":"uuid"},"accountAddress":{"type":"string","description":"Investor wallet address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"cashLegType":{"description":"Cash leg settlement method","allOf":[{"$ref":"#/components/schemas/SettlementMethod"}]},"status":{"description":"Lifecycle status of the subscription","allOf":[{"$ref":"#/components/schemas/SubscriptionStatus"}]},"totalPrice":{"nullable":true,"description":"Requested or settled price, in the fund currency\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"amount":{"nullable":true,"description":"Requested or settled amount, in fund units\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"requestReference":{"type":"string","description":"Reference provided when the subscription was requested","maxLength":256,"nullable":true},"resolutionReference":{"type":"string","description":"Reference provided when the subscription was settled, rejected or cancelled","maxLength":256,"nullable":true}},"required":["createdAt","updatedAt","id","fundId","investorBrokerId","issuerBrokerId","accountAddress","cashLegType","status","totalPrice","amount","requestReference","resolutionReference"]},"SettlementMethod":{"type":"string","enum":["on-chain","off-chain"],"description":"**Cash leg settlement method:**\n- `on-chain` - cash leg settles on-chain\n- `off-chain` - cash leg settles off-chain"},"SubscriptionStatus":{"type":"string","enum":["requested","cancelled","rejected","settled"],"description":"**Fund subscription status:**\n- `requested` - subscription requested by the investor's broker agent\n- `cancelled` - cancelled by the investor's broker agent\n- `rejected` - rejected by the issuer agent\n- `settled` - settled by the issuer agent; units delivered to the investor"},"RedemptionEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the fund redemption event","allOf":[{"$ref":"#/components/schemas/RedemptionDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"RedemptionDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Fund redemption UUID identifier, global in scope of TSS","format":"uuid"},"fundId":{"type":"string","description":"Fund (asset) id the redemption is for","format":"uuid"},"investorBrokerId":{"type":"string","description":"Broker id of the investor's agent","format":"uuid"},"issuerBrokerId":{"type":"string","description":"Broker id of the fund issuer","format":"uuid"},"accountAddress":{"type":"string","description":"Investor wallet address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"cashLegType":{"description":"Cash leg settlement method","allOf":[{"$ref":"#/components/schemas/SettlementMethod"}]},"status":{"description":"Lifecycle status of the redemption","allOf":[{"$ref":"#/components/schemas/RedemptionStatus"}]},"totalPrice":{"nullable":true,"description":"Settled cash proceeds, in the fund currency\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"amount":{"format":"int64","description":"Amount of fund units to redeem\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"requestReference":{"type":"string","description":"Reference provided when the redemption was requested","maxLength":256,"nullable":true},"resolutionReference":{"type":"string","description":"Reference provided when the redemption was settled, rejected or cancelled","maxLength":256,"nullable":true}},"required":["createdAt","updatedAt","id","fundId","investorBrokerId","issuerBrokerId","accountAddress","cashLegType","status","totalPrice","amount","requestReference","resolutionReference"]},"RedemptionStatus":{"type":"string","enum":["requested","cancelled","rejected","settled"],"description":"**Fund redemption status:**\n- `requested` - redemption requested by the investor's broker agent\n- `cancelled` - cancelled by the investor's broker agent\n- `rejected` - rejected by the issuer agent\n- `settled` - settled by the issuer agent; cash delivered to the investor"},"IssuerEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the issuer event","allOf":[{"$ref":"#/components/schemas/IssuerDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"IssuerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Issuer UUID identifier, unique in scope of this node","format":"uuid"},"type":{"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer","allOf":[{"$ref":"#/components/schemas/IssuerType"}]},"accountAddress":{"type":"string","description":"Issuer account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"address":{"type":"string","description":"Address of headquarters"},"postalAddress":{"type":"string","description":"Address of headquarters"},"countryCode":{"type":"string","description":"Country code of where the issuing company is located","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"leiCode":{"type":"string","description":"Unique identifier of the company/institution issuing the asset (LEI - Legal Entity Identifier)","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20,"nullable":true},"vatCode":{"type":"string","description":"Value-added tax identification number","format":"vat-code","nullable":true},"email":{"type":"string","description":"Email of the issuing company’s representative","format":"email","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"ratingAgency":{"type":"string","nullable":true},"rating":{"type":"string","nullable":true}},"required":["createdAt","updatedAt","id","type","accountAddress","name","companyCode","address","postalAddress","countryCode","leiCode","vatCode","email","institutionSectorCode","ratingAgency","rating"]},"IssuerType":{"type":"string","enum":["bank","government","investment-holding-company","other","plc","pllc","small-pllc","sole-proprietorship"],"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer"},"MarketAssetEventDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Webhook event UUID identifier, global in scope of TSS","format":"uuid"},"type":{"description":"Type of event","allOf":[{"$ref":"#/components/schemas/EventType"}]},"data":{"description":"Data of the asset event in the market","allOf":[{"$ref":"#/components/schemas/MarketAssetDto"}]}},"required":["createdAt","updatedAt","id","type","data"]},"MarketAssetDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Asset UUID identifier, global in scope of TSS","format":"uuid"},"nodeId":{"type":"string","description":"Unique UUID of the node that manages this asset","format":"uuid"},"issu
[...]
